Evolution 1.0.8, 2002-06-23
---------------------------

Bugzilla Bugs Fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #17332 -- Addressbook crashes in LDAP address completion code.
              (Toshok)
    #26130 -- Close contact editor before save as crashes. (Toshok)

  * Calendar

    #25757 -- Fix quoting of icalendar properties (JP)
    #25829, #25830, #26066 
	   -- Fix a number of meeting usability and interop issues (JP)
    #25697 -- Exchange reminders still not quite working (Rodrigo)
    
Other fixes:

  * Addressbook

    - Some memory leak fixes in the addressbook backends and
      libversit. (Toshok)

  * Calendar
	
    - Update time zone information (Damon)

Updated translations:

  - sk (Stanislav Visnovsky)
  - sv (Christian Rose)


Evolution 1.0.7, 2002-06-07
---------------------------

Bugzilla Bugs Fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #25054 -- "New Contact List" button is no longer active in
              folders that don't support contact lists.  (Toshok)

  * Calendar

    #16962 -- Make the schedule page use the work hours set in the
              preferences.  (JP)
    #23350 -- Crash when refreshing meeting or task.  (JP)
    #24783 -- Fix crash in wombat.  (Rodrigo)

  * Mail

    #11391 -- Bogus gnome_vfs_file_info_unref() that caused an
              occasional crash.  (Frederic Crozat)
    #15185 -- Non-RFC-compliant From/To/Cc being displayed as empty
              in mail display.  (Dan)
    #19920 -- Messages hiding in threaded view.  (Michael)
    #21604 -- Various crashes.  (Michael)
    #23782 -- Stop button causes a hang.  (Michael)
    #25056 -- wombat segfaults when scrolling around calendar in month view
              (Rodrigo)
    #25456 -- Crash when deleting an account that has not been added
              to the Evolution storage yet.  (Jeff)
    #24615 -- VFolders with the UNMATCHED vfolder as a source hang.
              (Michael)

  * Shell

    #24284 -- Copyright notice inconsistent in the about box.
              (Ettore)

Other fixes:

  * Misc

    - Fixed some typos in the names of some French locations.
      (Christophe Merlet)

Updated translations:

  - et (GNOME ET Team)
  - eu (Josu Waliño)
  - sk (Stanislav Visnovsky)
  - fr (Christophe Merlet)
  - fi (Sami Pesonen)
  - vi (pclouds)


Evolution 1.0.5, 2002-05-06
---------------------------

Bugzilla Bugs Fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Mail

    #24140 -- Crash when downloading a message with invalid header.
              (Jeff)

    #17174 -- Mail spools appear to be unread forever.  (Michael)

  * Shell

    #23538 -- Intermittent bug when moving folders around.  (Michael)

Other fixes:

  * Calendar

    - Make reminders work with remote backends.  (Rodrigo)

  * Misc

    - Added support for adding an Evolution icon to the CDE
      Application Manager.  (Ettore)

Updated translations:

  - bg (Borislav Aleksandrov)
  - pl (GNOME PL Team)


Evolution 1.0.4, 2002-04-18
---------------------------

Bugzilla Bugs Fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #22965 -- Comply with RFC 2739 for calCalURI and calFBURL.  (Toshok)

  * Calendar

    #22624 -- Unable to accept meeting request that doesn't list user
              as attendee.  (JP)

  * Startup Wizard

    #22047 -- Crash after closing the start-up wizard.  (Ettore)

  * Mail

     #8214 -- "Error Synchronizing Folder" on incoming mail spool.
              (Michael)
    #18929 -- If we get multiple Content-Type header values, change
              subsequent headers to X-Invalid-Content-Type so it doesn't 
              wreck processing.  (Michael)
    #22363 -- Problems resyncing IMAP folders when going Online.  (Jeff)
    #21716 -- Fixes to decoding illegally rfc2047 encoded words.  (Michael)
    #22657 -- Fixes printing for some localizations (Radek)
    

Other fixes:

  * Calendar

    - Use default tasks folder in calendar view.  (Rodrigo)
    - Added getQuery method to CalBackend to allow custom queries for
      each calendar backend.  (Rodrigo)

  * Mail

    - Fixed Daylight-Savings-Time calculations on systems that use 
      tm.tm_gmtoff rather than 'timezone' (affects BSD systems).  (Jeff)
    - Fixed the annoying EINPROGRESS error dialogs when connecting 
      to IMAP/SMTP/POP via SSL.  (Jeff)
    - Changed the date format used in From-lines in mbox spools to be 
      the same as those used by Pine to fix interoperability issues.
      (Michael)
    - Fixed some filtertypes.xml typos.  (Michael)

  * Summary

    - Change the dot.kde.org url.

Updated translations:

  - fi (Sami Pesonen)
  - fr (Christophe Merlet, Frederic Riss)
  - ko (Young-Ho Cha)
  - nl (Tino Meinen)
  - no (Kjartan Maraas)
  - pt_BR (Gustavo Maciel Dias Vieira)


Evolution 1.0.3, 2002-03-19
---------------------------

Bugzilla Bugs Fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #16097 -- Need a way to let the user specify the DN to
              authenticate against.  (Toshok)
    #16680 -- LDAP performance problem.  (Toshok)
    #16968 -- Changing search type immediately requeries.  (Toshok)
    #20089 -- Cannot copy contacts with comma from "Contacts" to LDAP.
              (Toshok)
    #20690 -- LDAP contacts dont show when using letter shortcuts.
              (Toshok)
    #20740 -- LDAP performance problem.  (Toshok)
    #20871 -- SelectNames dialog needs search feedback.  (Toshok)

  * Calendar

    #14705 -- iMIP compatibility with versions of Outlook. (Better fix
              for the pseudo-fix in 1.0.1). We now support Outlook in
              both Workgroup and Internet-Only modes.  (Dan)
    #19054 -- Minimum number of alarm repetitions should be
              1. (Federico)
    #19234 -- BYMONTH off-by-one in RRULE:FREQ=YEARLY.  (Damon)
    #20510 -- Load free busy info as attendees are added.  (JP)
    #20022 -- Itip addresses are case sensitive.  (JP)
    #20226 -- Timezone data missing from some itip replies.  (JP)
    #20346 -- Calendar should indicate if backend dies.  (Rodrigo)
    #20780 -- Better subjects in iMIP messages.  (Dan)
    #20787 -- Accepted/declined messages aren't always clear.  (JP)
    #20800 -- Sorting of free busy information in schedule page does
	      not work.  (JP)
    #20783 -- Accepting updated meeting request doesn't work.  (Rodrigo)
    #21198 -- Outlook didn't recognize Evolution's acceptance of an
	      updated meeting request.  (Dan)
    #21240 -- Calendar Reminders don't appear for appointments in remote
              servers.  (Rodrigo)

  * Mail

    #19564 -- Don't crash when changing to disconnected mode.  (Michael)
    #20779 -- Set a 'name' parameter in the Content-Type header
              since Outlook doesn't seem to check the filename
              parameter on the Content-Disposition header. (Jeff)

  * Shell

    #20234 -- Deleting folder gratuitiously causes /local to open.
	      (Ettore)
    #20237 -- Shell silently drops xfer errors.  (Ettore)
    #20311 -- New window from shortcuts should not show the folder 
              bar and the shortcut bar.  (Ettore)

  * Summary

    #18025 -- Summary crash upon switching to offline mode.  (Ettore)

Other fixes:

  * Calendar

    - Show more descriptive messages on opening errors.  (Rodrigo)
    - Remove $filename.ics from remote URIs.  (Rodrigo)

  * Addressbook

    - Fix search weirdness in local addressbooks.  (Toshok)
    - Let backends return general error status from load_uri instead
      of just TRUE/FALSE.  (Toshok)
    - EBook(View) handling fixes in ESelectNames and
      EAddressbookModel.  (Clahey)
    - Rethink (and change) some of the default queries to ones that
      are at the same time useful and more easily implemented
      efficiently by the backends, in both the component's view and in
      the select-names dialog.  (Toshok)
    - Change the "beginswith" query implementation on the name field
      to search both first and last name, so it's a little more useful
      in the general case.  (Toshok)

Updated translations:

  - es (Carlos Perelló Marín)
  - fr (Christophe Merlet)
  - jp (Akira TAGOH)
  - nl (Vincent van Adrighem)
  - nn (Roy-Magne Mo)
  - no (Kjartan Maraas)
  - pt_BR (Gustavo Maciel Dias Vieira)


Evolution 1.0.2, 2002-01-24
---------------------------

Bugzilla Bugs Fixed (see http://bugzilla.ximian.com/show_bug.cgi):

  * Addressbook

    #17725 -- Non-ASCII letter headings are black when printing
              (Zbigniew Chyla)

  * Calendar

    #6544  -- Make Timezone names translatable (Damon)
    #18801 -- Alarms with specific trigger times are not shown (Damon)
  
  * Importers

    #16864 -- LDIF importer chokes on long description field (Toshok)
    #17441 -- Crash trying to import VCards file into an LDAP folder
              (Ettore)

  * Mail

    #6896  -- message_list_select() with wraparound won't select very
              first message (Jeff)
    #11499 -- All recovered Composer windows have HTML enabled (Jeff)
    #16947 -- Crash while setting up a new mail account (Jeff)
    #17205 -- Crash of evolution-mail on start-up (Jeff)
    #17634 -- Marking a message as unread should undelete it, as well
              (Jeff)
    #17694 -- Exchange 5.5 reporting 2 messages as having the same UID
              breaks Evolution (Jeff)
    #17759 -- Cancelling Send/Receive can lose mail for local case
              (Jeff)
    #18142 -- Mailer crash when trying to send an email (Jeff)

Other fixes:

  * Summary

    - Change the list of items in the mail preferences (Iain)

  * Calendar

    - Make Tasks default to public as in Outlook (Rodrigo)

  * Importers

    - Make the druid as a transient window for the main shell (Iain)

  * Mail

    - Follow symlinks for mbox files (Jeff)
    - Fixed copy/paste problems in mail-account-gui.c (Ian Goldberg,
      Jeff)
    - Make Vfolders work with add-on storages (Dan)

  * Shell

    - Don't crash on missing icon on start-up (Michael Meeks)
    - Change activation/deactivation order for views in order to
      reduce flicker in the toolbars (Michael Meeks)

Updated translations:

  - bg (Alexander Shopov)
  - el (Nick Niktaris, Panayotis Pakos, Simos Xenitellis)
  - fr (Christophe Merlet)
  - hu (Andras Timar)
  - it (Clara Tattoni, Ettore)
  - lv (Peteris Krisjanis)
  - nn (Roy-Magne Mo)
  - no (Kjartan Maraas)
  - sk (Stanislav Visnovsky)
  - sv (Christian Rose)


Evolution 1.0.1, 2001-12-18
---------------------------

New features:

  * csv2vcard script to convert CSV addressbook files from Outlook
    into VCard files that the Evolution importer can understand (by
    Michael MacDonald).

  * Alarms are now properly synced in the calendar conduit.

Bugs fixed:

  * Addressbook

    #10114 -- No icon for Delete in the New Contact List editor
    #10241 -- Occasional address completion flakiness
    #10910 -- "Save" in list editor vs. "Save and Close" in contact editor
    #11776 -- Email addresses are case sensitive
    #13751 -- AddressBook address entry form usability problem
    #14002 -- Select names dialog stays up after composer is closed
    #14074 -- Editing fields under the "Collaboration" LDAP contact
    #14715 -- Wombat gets locked up when LDAP server is down
    #14876 -- Modifying LDAP contacts destroys existing objectclass entries
    #15379 -- Printing from the addressbook totally broken
    #16156 -- "Save As", "Send As", "Send To" not available in list editor
    #16176 -- Tab order starts wrong
    #16510 -- Small contact editor fixes
    #16744 -- Crash
    #16852 -- Crash closing empty mail
    #16910 -- Crashed addressbook when selecting addresses
    #17109 -- Crashed when editing a contact
    #17126 -- Adding some addresses does not work

  * Calendar

    #7641  -- Crash in EMap widget when used in Evolution 
    #8993  -- Attendees not stripped properly from itip replies
    #13843 -- Deleting tasks causes crash
    #13952 -- Notifier repeatedly gives alarm after appointment ended
    #14087 -- Daily repeat event with end-date misses one day
    #14489 -- UI bug in Calendar Settings
    #14699 -- gtk_signal_disconnect_by_data warning
    #14705 -- iMIP compatibility with versions of Outlook. (We now support
	      Outlook in an Exchange environment by default, but the old
	      behavior can be turned on with the environment variable
	      EVOLUTION_SEND_IMIP_AS_ATTACHMENT. This will be fixed better
	      later.)
    #15401 -- Use UTF-8-aware gnome-print calls
    #15456 -- Typo in translatable string
    #15774 -- Crashed by selecting "decline" in meeting request
    #15941 -- Location missing for the calendar
    #15749 -- Empty end time in all-day-event crashes calendar.
    #15774 -- Selecting decline in schedule meeting request makes evo crash
    #15798 -- Calendar Date Never Updates         
    #16232 -- e-itip-control.c - init() doing odd stuff     
    #16359 -- Calendar Crash
    #16460 -- Changing a meeting doesn't always offer to send an update
    #16571 -- Weird URI in meeting request email
    #16910 -- Crashed when entering a completion percentage
    #16224 -- remove unsupported columns from Tasks view
    #16880 -- Cannot import ical (ics) even its own       
    #17344 -- iCalendar should not be translated   
    #17526 -- Refreshing request does not show relevant information
    #17527 -- Refresh requests have wrong menu
    #17531 -- libical does not build with bison 1.30
    #17606 -- libical does not build with autoconf 2.52
    (none) -- Scheduling page did not accurately display no information range

  * Conduits

    #1183  -- Handle alarms in conduits
    #14452 -- Converting names wrong from Palm
    #15810 -- Crashed during EAddress sync
    #15922 -- Crash
    #16460 -- Changing a meeting doesn't always offer to send an
              update
    #16997 -- Pilot compilation with libiconv
    #17230 -- Custom data on Pilot being over written

  * Importers

    #14701 -- Importing locks up Evolution

  * Mail

    #2233  -- Don't show RTF attachments inline 
    #5547  -- Crash: Error closing a HTML-mail 
    #12062 -- Can't use 'n' to skip to next unread if multiple messages 
  	      are selected
    #13898 -- Crash: Cannot create emails in evolution
    #14127 -- Wrong error message 
    #14348 -- Some things that need open messages... 
    #14517 -- "Clear" needed twice for non-body+subject searches 
    #14662 -- GPG signature showing as attachment 
    #14678 -- Timestamp on outgoing mail incorrect on FreeBSD
    #14734 -- Evolution-mail crashes while accessing imap servers 
    #14770 -- Appending messages to other IMAP folder can cause INBOX to
  	      stop updating
    #14838 -- Saving passwords doesn't work
    #14848 -- Forwarding wrong email due to next/prev 
    #14965 -- Message copy fails with space in folder names
    #14976 -- Crash when reading a message from an IMAP server
    #15264 -- Crash: evolution-mail seg fault on exit 
    #15374 -- "___" in autogenerated name of vfolder created by sender of 
    #15415 -- Virtual Folders Editor: display of non-ascii symbols is broken 
    #15449 -- `N' wraps `P' doesn't 
    #15451 -- Crash when pressing stop during "going offline" 
    #15489 -- Evolution crashed while deleting my IMAP mail account 
    #15491 -- Evolution crashes/becomes unusable if ppp connection is lost
    #15498 -- Crash: Faulty vFolder editor 
    #15512 -- Hangs while scanning for changed messages on S/IMAP+Exchange
    #15552 -- Crash
    #15608 -- RCPT TO: response error: Success 
    #15647 -- Composer "send" button has wrong tooltip when offline 
    #15657 -- Empty recipients 
    #15693 -- Crash: Loading message contents from IMAP and close application 
    #15745 -- Search edit window widgets disabled. / Mail component crash.
    #15813 -- Decrypting cuts off initial text
    #15843 -- Attachments inside attachments 
    #15946 -- Opening IMAP mailbox made it crash 
    #15952 -- Mailer crashed after hitting page down key 
    #16227 -- "Body contains" seems to want a regexp 
    #16254 -- Add Sender to Addressbook missing from menus 
    #16284 -- Evolution-mail crashed selecting "create vfolder on subject" 
    #16371 -- Corrupt Email crashes Mail component 
    #16416 -- X-Mailer says "Preview Release" 
    #16501 -- Crash while creating new account
    #16520 -- Crash
    #16559 -- Race-condition in the Camel type system
    #16669 -- Camel 64-bit badness
    #16695 -- A few dialogs are missing sensible titles 
    #16698 -- Crash: Can't empty trash; segfault when I try to exit
    #16722 -- Attachment properties dialog crash
    #16903 -- Crash: segv retrieving mail
    #16924 -- Crash on a particular spam message
    #16936 -- Crash when opening a specific message 
    #16947 -- Crash: Trouble Setting up a new mail account
    #17085 -- Bad encoding for subject
    #17386 -- Crash when reading a specific message

  * Shell

    #7827  -- Switching desktops leaves the folder bar popped up
    #14518 -- Crashed when starting the program
    #14701 -- Importing locks up Evolution
    #15435 -- "Rename folder" dialog: non-ASCII folder names are displayed
    #16507 -- Right Click -> View does nothing
    #16693 -- Crash when creating a new folder
    #17258 -- Shell displays splash even if Evolution is already running

  * Summary

    #8029  -- Locations.h file for translators
    #11212 -- Degree symbol in weather
    #14483 -- "Hello"?
    #14996 -- All-day appointments are displayed incorrectly in the
              summary view
    #16417 -- Have a better default than CNN headlines
    #16772 -- Summary crashes on startup
    #17249 -- Crash going offline
  
  * Misc

    #16358 -- Evolution doesn't have a man page
    #17377 -- Evolution doesn't work on multi-visual displays


Evolution 1.0, 2001-11-14
-------------------------

Misc:
  Removed OpenSSL support.

Mailer:
  #14893 -- Mailer hanging if you specify an invalid password

  
Evolution 0.99.2 (Release Candidate 2), 2001-11-14
--------------------------------------------------

Misc:
  #14783 -- killev does not check for system type properly
  #14630 -- HTML docs refer to missing gifs in stylesheet-images
  #15027 -- Typos in the docs
  #15028 -- Corrections to the user documentation
  #15056 -- Spelling Error

Shell:

   #6295 -- Go to folder dialog should have the e-tree focused
  #13872 -- Crash

Summary

  #13478 -- Summary hangs at startup
  #14518 -- Crashing while starting the program

Mailer:

  #10560 -- Messages in Korean charset displayed as blank
  #10735 -- Extra cruft at bottom of Compose window's View menu
  #11177 -- Closing main window while dialog up, hangs
  #11647 -- "Body contains" and "Body does not contain" searches are
            matching strings in the message header
  #13996 -- Searches not available in IMAP in offline mode
  #14351 -- pgp 5.5.8 not supported, recognized as 2.6.x
  #14361 -- IMAP/SSL APPENDs hang
  #14542 -- Crash pressing ctrl-a ctrl-k
  #14569 -- Crash when moving a folder
  #14620 -- Weird font issue in Mdk 7.2
  #14659 -- GPG messages are truncated
  #14672 -- evolution-mail crashes on startup
  #14794 -- PGP signing problem, complaining about 2.6.x when 6.5.1
            is installed
  #14826 -- Crashed the editor by using Alt-C (capitalize word)
  #14838 -- Saving passwords dosen't work
  #14848 -- Forwarding wrong email in separate window when using prev/next
            buttons
  #14861 -- DnD a message from a folder with a space in the name fails
  #14951 -- Cancelling before IMAP connect causes IMAP to loop forever
  #14965 -- Message copy fails with space in folder names
  #15038 -- Can page up or page down off of table
  #15154 -- Long line rendering bug
  #15267 -- Outgoing filter move/copy to folder crashes Mailer
  #15296 -- Mailer hangs when fetching mail
  #15324 -- Table handling code not rendering centered content when
	    it should
  #15374 -- "___" in autogenerated name of vfolder created by sender of message
  #15393 -- Pointer grab when shift-double clicking

Addressbook:

   #9501 -- Appointment Editor has "Save changes?" confirmation but
            Contact editor does not
  #14107 -- Crash: Address auto-complete pop-up appears after sending mail
  #14646 -- Doesn't handle failure in default_book case
  #14743 -- Contacts crashes when saving a List
  #14780 -- Pushing categories in Contact editor crashes Contacts
  #17355 -- e-select-names/completion from arbitrary storages

Pilot conduits:

  #9465  -- Palm Addressbook sync corrupts character set
  #14562 -- Crash
  #15355 -- Bogus warning in calendar conduit

Calendar:

  #10285 -- Problem printing the calendar
  #13631 -- Left-over debug print
  #14021 -- Problems entering a task
  #14335 -- UTF-8 Error in schedule meeting
  #14337 -- Meeting is added to calender even when selecting decline
  #14362 -- Appointments (public or private) don't show in the Day
	    view of the calendar
  #14392 -- Event editor removes wrong pages when object updated
  #14524 -- Meeting page dragging broken for all day events
  #14655 -- evolution-alarm-notify crash on start
  #14687 -- load_uri failures are not noticed by the client talking
            to the wombat
  #14704 -- Free/busy info not in UTC
  #14765 -- Schedule page timezone problems
  #14842 -- EWeekView - typing in event & day incorrect
  #14845 -- Crash assigning category to new task
  #14941 -- Crash
  #15137 -- Crash when double clicking on empty appointment


Version 0.99.0 (1.0 Release Candidate 1), 2001-11-05
----------------------------------------------------

Shell:

  - Fixed problems with icons not showing up in the druids.  (Ettore,
    Anna)

  - Fixed some dnd brokenness.  (Ettore)

  - Fixed some random crashes and made the shell more robust in case
    of activation problems or components crashing.  (Ettore)

  - Implemented a newer, prettier about box.  (Ettore)

  - Made sure the quit message always gets displayed.  (Ettore)

  - Made sure the shell doesn't allow for folder names with slashes.
    (Ettore)

  - Made the folder selection and folder creation dialogs play better
    with the WM for out-of-proc components.  (Ettore)

  - Make sure components don't display dialogs before the shell
    windows are displayed.  (Ettore)

  - Fixed some problems with copying/transferring/renaming folders.
    (Ettore)

  - Made the pop-up folder bar have the expected size when popped up.
    (Ettore)

Mailer:

  - Fixed SMTP truncation, IMAP/SSL truncation/hangs when
    sending/appending messages.  (Jeff)

  - Implemented rename for imap/maildir folders.  Rename also tracked
    in vfolder and filter code.  Use rename for local folders when we
    can instead of copy/delete.  (Michael, Jeff)

  - Fixed startup wizard next page race bugs. (Michael)

  - Fixed toolbars vanishing, Bonobo Suxors. (Michael)

  - Made filter/vfolder on mailing lists honour domains, but also
    backward compatible.  (Michael)

  - Fixed the password coming up behind the main window.  (Michael,
    Ettore)

  - Fixed numerous crash on startup/exit/while doing nothing/switching
    folder/components, many races and other architectural errors.
    (Michael, Jeff)

  - Bunch of vFolder fixes and feature completion. (Michael)

  - Added a 'index body' option to configure folder.  (Michael)

  - Fixed 'unread' counts, again.  (Michael)

  - Fixed some problems leaking file descriptors and overusing them
    when not necessary.  (Michael)

  - Implemented iconv() caching and Solaris friendly iconv name
    converter.  Made override display charset work in more cases.
    (Michael, Jeff)

  - Various untranslated buttons/menus and other translation issues
    fixed.  (Michael, Jeff)

  - Offline searching in IMAP. (Michael)

  - Don't warn the user if he drags a message and drops it in the same
    place.  (Jeff)

  - Fixed replying-to and forwarding messages with attachments to
    attach the appropriate attachments in the new message.  (Jeff, Larry)

  - Don't allow the user to edit the default searches and keep all the
    search menus consistant accross all folders.  (Jeff)

  - Allow the user to drag&drop and/or move messages to the Trash
    folder.  (Jeff)

  - Various fixes to the filtering code.  (Jeff, Michael)

  - Make various dialogs non-modal.  (Jeff)

  - Fixes to POP3 UID caching so users can "leave mail on server" and
    not get duplicates.  (Jeff)

  - Fixes to IMAP caching code where servers support the UIDPLUS
    extension. Will also now un-cache a folder when the user deletes
    it from the IMAP server.  (Jeff)

  - Removed support for PGP 2.6.x due to security issues (pgp would
    always return 0 suggesting that the signature was valid even when
    it wasn't).  (Jeff)

  - "Whitespace-only" recipients are now ignored, rather than being
    flagged as invalid. (Trow)

  - Fixed bugs related to message searching: memory leak, i18n problems,
    etc. (Trow)

  - We no longer leave stray windows lying around after doing the
    "Add Sender to Addressbook" operation. (Trow)

  - Bcc: headers are now shown when viewing drafts, sent mail. (Trow)

  - Lots and lots and lots of other little and not so little things.
    (Michael, Jeff, Dan, Trow)

Addressbook:

  - General bug fixes.  (Everybody)

  - Printing fixes.  (Trow)

  - Fixed the dreaded "this should never happen" bug.  (Trow)

  - Plugged memory leaks.  (Trow)

  - Fixed use-score sort ordering when doing completion.  (Trow)

  - Fixed EAddressPopup race conditions.  (Trow)

  - Implemented transfer function for shell, so moving contact
    folders now works.  (Trow)

  - Fixed occasional completion flakiness.  (Trow)

  - Fixed contact count on folder bar.  (Trow)

  - Fixes for LDAP/multibook address completion.  (Toshok, Trow)

  - Added a "Do you want to save changes?" dialog to the contact 
    and contact list editors. (Toshok)

  - Fixed date (birthday and anniversary) handling for LDAP. (Toshok)

  - Fixed nasty LDAP modification bug. (Toshok)

  - Add a config setting (/Addressbook/default_book_uri) to specify where
    vcards and email addresses from mail messages are stored as contacts.
    (Toshok)

  - Fixed problem that arose in an earlier beta where some contacts
    couldn't be modified or deleted from local addressbook.
    (Chris Toshok)

  - LDIF Importer.  (Chris Toshok, Michael M. Morrison)

  - Fixed Memory Leaks.  (Trow)

  - Always show the correct message about the number of contacts on the
    message bar.  (Trow)

  - Fixed printing of contacts.  (Trow)

  - Fixed the incredibly annoying bug which caused completed
    (underlined) contacts to spontaneously revert when edited.
    (Trow)

  - Better event handling in minicard view.  (Chris Lahey)

  - Fixed Bold font in select names dialog.  (Chris Lahey)

  - Show error dialog if saving a contact to a file fails.  (Chris Lahey)

  - Handle carriage returns in any contact field properly.  (Chris Lahey)

Summary:

  - Worked around gnome-vfs problems that were causing crashes.  (Trow)

  - Set the defaults to be CNN and Boston (Ettore)

  - Move the location of the RDF file to be in a place that will always exist.

  - Fixed numerous bugs (Trow, iain)

  - Made the offline stuff work correctly (iain)

  - Fixed a bug were the summary wouldn't retain settings if all folders,
    or RDFs, or weather stations were removed. (iain)

Importers:

  - Made the pine importer work for multidepth mail folders. (iain)

Calendar:

  - Underlined accelerators now work in the editor dialogs.  (Damon)

  - Many fixes for scheduling meetings.  (JP)

  - Status bar messages for long queries.  (Rodrigo)

  - Appointments with empty summaries are now deleted from the views.
    Also, you can press Escape to cancel editing [#780].  (Federico)

  - The alarm daemon no longer displays "old" alarms twice. (Federico)

  - Alarms now handle timezones correctly [#5852].  (Federico)

  - Repeating alarms are now handled [#12163].  (Federico)

  - The alarm daemon is launched as soon as the calendar starts, not
    when you actually open a folder [#13867].  (Federico)

  - You can now set a default reminder to be added to new appointments
    [#13649].  (Federico)

  - Fixes for printing week views [#13687, #13688].  (Damon)

  - Tasks printout now matches the task list better [#10280].  (Damon)

  - Better handling of DATE values, as opposed to DATE-TIME ones.  (Damon)

  - Many changes to handle the default timezone better.  (Damon)

  - Recurrence generation fixes [#11525].  (Damon)

  - Fixed merging of complete VCALENDAR components.  (Damon)

  - Fixes to the folder transfer functions.  (Ettore, Federico)

  - Tasks activation fixes.  (Damon)

  - Outlook interoperability fixes.  (Damon, JP)

  - Miscellaneous fixes to the event/task editors.  (Damon, JP, Federico)

  - New iCalendar importer.  (Rodrigo)

  - Fixed problems introduced in Beta 6 due to the changes in the URI
    management functions.  (Rodrigo)

  - Prettier alarm notification dialog.  (Larry)

  - Session management for the alarm daemon.  (Federico)

  - Added activity bars for long calendar operations.  (Rodrigo)

  - Added iCal file importer.  (Rodrigo)

  - Show error dialogs on calendar failures.  (Rodrigo)

Conduits:

  - Addressbook phone numbers now preserved if they can't all be
    synced to desktop (JP)

  - Sync addressbook phone numbers from non-english pilots (JP)

  - Various memory leak fixes (JP)

  - Handle multi-day calendar events (without recurrences) (JP)

  - Make sure task records are marked complete in every relevant field
    (JP)

  - Use new timezone stuff everywhere (JP, Damon)

  - Translate task priorities better (JP)


Version 0.16 (Beta 6), 2001-10-10
---------------------------------

Shell:

  - Now the shell restarts stale components from previous sessions
    properly.  This should reduce the need for oaf-slay to only the
    cases in which a specific component is completely stuck (which
    hopefully should never happen).  (Ettore)

  - Fixed the saving of the size of the shortcut bar and the folder
    bar.  (Ettore)

  - Always display a new default view for the shell, unless the user
    specified an `evolution:' URI on the command-line.  (Ettore)

  - Fix the weird behavior for right click -> open in new window in a
    pop-up folder bar.  (Ettore)

  - Make the copy/move and dnd code to detect copying of folders onto
    themselves correctly.  (Ettore)

Mailer:

  - Bcc: addresses are now visible when browsing messages in
    the "Sent" folder.  (Trow)

  - Various backend fixes like thread safeness of concurrent
    triggered events, more forgiving address header decoding,
    fixes for recent breakage to progress reports, adding a deleted
    event/state for folders, various deadlocks.  (Michael, Jeff)

  - Fixed quick-searching by receipients to work.  (Michael)

  - Caching of iconv handles to improve performance of many internal
    mail reading/indexing operations.  (Michael)

  - Major oops in mbox code that caused significant performance
    problems getting/filtering mail fixed.  (Michael)

  - Message charsets can now be overridden by a user-chosen charset
    encoding in the mail display.  (Jeff)

  - Report errors when file cannot be attached in the composer.  (Jeff)

  - File->Folder->Properties and Delete Folder now work for VFolders.
    (Michael)

  - VFolders, Filters and Searches are saved in a safe manner so that
    they should not be lost with quota/filled disk problems.  (Michael)
 
  - VFolders now update with new mail on their sources.  (Michael)

  - Fixed the "Load HTML Images" radio button options in the mail
    config dialog to work properly.  (Jeff)

  - When an IMAP folder is deleted, removed any cached messages that
    had been in that folder when it was "alive".  (Jeff)

  - New icons for PGP signature authenticity.  (Jeff, Jimmac)

Addressbook:

  - General fixes.  (Chris Toshok, Trow, Iain, Chris Lahey, JP)

  - LDAP configuration dialog fixes.  (Chris Toshok)

  - New authentication work.  (Chris Toshok)

  - Fixed crashes related to editing the Master Category List.  (Trow)

  - Address completion is no longer confused by whitespace.  (Trow)

  - More work on having multiple wombats.  (Chris Toshok)

  - Contact names no longer mysteriously disappear when using the
    SelectNames dialog.  (Trow)

Calendar:

  - Backend improvements (Rodrigo)

  - Compilation fixes for latest Bonobo (Rodrigo)

  - Fixed problem with exceptions to recurring events.  (Damon)

  - Fixed handling of UNTIL property in recurring events. (Damon)

  - The alarm daemon will now notify you of alarms that should have
    occurred while it was not running.  (Federico)

  - Handle monthly-by-day and "last day" recurrences in the conduits.  (JP)

  - Added priorities to the fields in the attendee list.  (Chris)

  - Enhancements to the event editor for meetings.  (JP)

Summary:

  - Bugfixes.  (Iain)

  - Recurring events have the correct time and date.  (Iain)


Version 0.15 (Beta 5), 2001-10-02
---------------------------------

Shell:

  - Fixed a problem with shortcuts not appearing when created by the
    mailer.  (Ettore)

  - Fixed right-click menu behavior for folders in the folder bar.
    (Ettore)

  - Got Rename to work again.  (Ettore)

  - Fixed some folder copy/move/dnd bugs.  (Ettore)

  - Added a menu item to configure the Pilot settings.  (Ettore)

  - Fixed some other miscellaneous bugs/crashes.  (Ettore)

  - Added ability to run the intelligent importers from the File->Import
    menu item. (iain)

Mailer:

  - Fixed the multiple error-dialog thing.  (Michael)

  - Fixes to PGP decrypting and verification code.  (Jeff)

  - Made vFolders work a lot better.  (Michael)

  - Added a confirm expunge option to the mail settings dialog.
    (Jeff)

  - Fixed the update-IMAP-unread-counts bug.  (Jeff)

  - Show messages in the user's preferred charset if the message
    itself doesn't contain charset information or if the message
    charset is wrong (ie the system can't convert the text to utf-8).
    (Jeff)

  - Many backend fixes that users won't notice.  (Michael, Jeff, Dan)

  - Fixed the crash that accompanied the invalid address warning.  (Trow)

  - Properly encode the mailto: links we generate inside of displayed
    messages.  (Trow)

  - Improve the signature editor. (iain)

Calendar:

  - Backend improvements (JP, Rodrigo).

  - The alarm daemon can now re-enter properly [#10840].  (Federico)

  - Alarms can now have zero-time offsets [#7892].  (Federico)

  - Warning fixes.  (Chris)

  - Fixed custom Glade widgets on non-Linux systems.  (Dan)

  - Fixed crashing problems in the event/task editor.  (Damon)

Addressbook:

  - Miscellaneous bug fixes.  (Trow, Chris Toshok, Chris Lahey, JP,
    Peter Williams)

  - Better handling of addresses containing commas or other special
    characters.  (Trow)

  - Fixed bugs related to sending mail by left-clicking on an address
    inside a message.  (Trow)

  - Auto-completion now matches against contact nicknames.  (Trow)

  - Added help text and generally cleaned up the contact editor.
    (Anna)

  - Handle multiple wombats properly.  (Chris Toshok)

  - Made which book to use for address completion configurable (no gui
    for this yet.)  (Chris Toshok)

  - Made Print Preview work in addressbook.  (Chris Lahey)

Pilot:

  - Now syncs exception dates in calendar and addressbook notes.  (JP)

  - Does not overwrite custom data on pilot.  (JP)

  - Address completion no longer marks records as changed.  (JP)

  - Miscellaneous other bug fixes.  (JP)

Summary:

  - Cache images instead of repeatedly reloading them (iain)

  - Only redraw when the summary is visible (iain)

  - Use the encoding specified in the RDF file (Takuo Kitame)

  - Leak fixes (Larry)

  - Show todays tasks works (iain)

  - Make the preferences dialog nicer. (iain)

Importers:

  - Handle cases where the Netscape transport is nothing. (iain)

Version 0.14 (Beta 4), 2001-09-21
---------------------------------

General:

  - Lots of i18n fixes.  (Zbigniew Chyla and others)

  - Made the splash screen use BackingStore.  (Ettore)

  - Added a quit dialog box.  (Ettore)

  - Fixed a shell crash that could happen when launching Evolution
    before a previously launched instance was done initializing itself.
    (Ettore)

  - Fixed other random shell crashes.  (Ettore)

  - Got the shell to remember window geometries on exit.  (Ettore)

  - Fixed some things for Automake 1.5 (unfinished).  (Richard
    Boulton)

  - Add nice highlighting to DnD operations in the folder tree.
    (Ettore, Clahey)

  - Fixed several leaks.  (Dan)

  - Fixed some problems with folder creation and deletion.  (Toshok)

  - Made the Summary the default folder.  (Ettore)

  - Made the title bar display the unread message count again.
    (Ettore)

Mail:

  - Had a few beers while sitting back and relaxin'.  (Jeff, Michael)

  - Check for valid addresses before sending. (Trow)

  - Use contact preferences when deciding whether or not to put the
    composer into HTML mode by default. (Trow)

  - Properly address mail from "hidden" contact lists. (Trow)

  - Redid folder unread counts/folder tree backend code
    completely. (Michael)

  - Implemented/fixed getfolderinfo in maildir/spool/local
    folder/vfolder, required to make unread counts work. (Michael)

  - Redid 'local folder' handling code completely. (Michael, Peter)
    Also fixed the properties dialogue to get the list of supported
    types dynamically, and set the right one at startup. (Michael)

  - Redid vfolder code in evolution-mail completely.  Main visible
    change is they open at startup, and the vfolder editor works
    much better.  (Michael)

  - Made it so fcntl(2) locking failures on filesystems (e.g. NFS)
    that dont support locking are treated as success. (Michael)

  - Fix imap inbox filtering, then moved it to CamelFolder, and
    partly implemented it for spool and maildir mailboxes.  (Michael)

  - Made the vfolder UNMATCHED folder's name translatable.  (Michael)

  - Change the way the 'not body contains' filter rule works, so that
    it runs much more efficiently, particularly on IMAP.  (Michael)

  - Camel will not try and convert charsets of data that contain
    invalid charset data, thus data will not be tainted by
    a failed conversion process. (Michael)

  - A few threading scheduling changes to try to optimise the user
    experience.  Also changed the way threads are terminated,
    avoiding some possible libpthread bugs.  (Michael)

  - Changed vfolder uri's to not include the query, set it separately.

  - Removed a lot of special case code for vfolder/file uri's, other
    dead or newly redundant code, cleanups, etc.  (Michael)

  - Fixed a bug in libibex that would overallocate block data and
    corrupt it and crash, also fail-back and reset the index in
    more cases.  (Michael)

  - Fix filtering on score so the expression compiles. (Michael)

  - Came to visit USA at a very wrong time.  (Michael)

  - Removed X-Evolution headers before sending messages.  (Jeff)

  - When configuring a new default account, make sure to set it as the
    default.  (Jeff)

  - Convert all textual parts to 8bit before saving them, this makes
    saved messages more human readable.  (Jeff)

  - Don't cache PGP passphrases unless the user requests to do so.
    (Jeff)

  - Unsubscribe from folders before deleting them.  (Jeff)

  - Fixed a number of race conditions in the subscribe dialog.  (Jeff)

  - Save transport (SMTP) passwords if the user has asked us to.  (Jeff)

  - Hide the S/MIME frame in the account editor, we won't be
    supporting it for 1.0.  (Jeff)

  - Fixed it so that icons are displayed for PGP messages.  (Jeff)

  - Give a description for each of the Source and Transport types when
    configuring an account. This makes a few things less confusing.
    (Jeff)

  - When performing a Send & Receive on a disconnected IMAP server, if
    the user provides a password, connect tot he IMAP server and display
    it's folders too.  (Jeff)

  - Return a folder info for each IMAP folder created when the user
    creates a recursive directory structure.  (Jeff)

  - Added support for more charset conversions (including all
    Windows-cp125x charsets).  (Jeff)

  - When the disk is full, warn the user and don't crash.  (Jeff)

  - Handle POP servers that don't support the UIDL extension.  (Jeff)

  - Several PGP fixes.  (Jeff)

Addressbook:

  - Miscellaneous bug fixes. (Jon Trowbridge, Chris Toshok, Chris Lahey,
    Ettore Perazzoli, Iain Holmes, Zbigniew Chyla, Jacob Berkman)

  - Fixed race conditions associated with adding/removing contacts.
    The addressbook should be much more stable now.  (Trow)

  - Fixed reference counting bugs in addressbook & wombat.  (Trow)

  - Made address lookup smarter; cut & paste of address now mostly works.
    (Trow)

  - Plugged Trow's memory leaks.  (Larry)

  - Name completion now works with one-word names, so it is now much
    easier to send mail to Cher.  (Trow)

  - Better handling of contact lists in the composer entries.  (Trow,
    Toshok)

  - SelectNames dialog fixes.  (Trow)

  - Better handling of contact lists in the pilot conduits.  (JP)

  - Added Free busy URL and Calendar URI info to contact editor and
    ECard.  (JP)

  - Made it so you can select uneditable text in Contact Editor.
    (Chris Toshok)

  - Worked on LDAP dialog.  (Chris Toshok)

  - General LDAP work.  (Chris Toshok)

  - Fixed charset handling within VCard handling.  (Chris Lahey)

  - Reworked Drag & Drop for card view.

Calendar & Tasks:

  - Free/Busy changes.  (JP, Rodrigo)

  - iTIP fixes (JP)

  - i18n fixes, particularly for printing (Zbigniew Chyla)

  - Added option to confirm deletions (Federico)

  - Improved alarm system (Federico)

  - Fixed crashing bug when deleting a folder (Federico)

  - Added option to hide completed tasks (Damon)

  - Timezone changes for interoperability with Outlook (Damon)

  - Fixed problems displaying/parsing times in locales which don't specify
    'am' and 'pm' strings (Damon)

  - Added toolbar button to delete the selected calendar event (Damon)

  - Meeting selector integrated (JP)

Summary:

  - Fixed bugs and leaks.  (Iain)

  - Fixed bug with handling of the Slashot RDF files.  (Iain)

  - Made the Addressbook and Tasks links open the editor for
    them.  (Iain)

  - Mail summary doesn't force all folders to be opened.  (Iain)

  - Calendar summary shows if an alarm is set for an appointment.  (Iain)

  - Timezone fixes.  (Iain, Damon)

Importers:

  - Fixed more bugs.  (Iain)

  - Netscape importer shouldn't crash on Movemail users anymore.
    (Iain)

  - Pine importer should import addressbooks better.  (Iain)

  - VCard importer will actually import things now.  (Iain)


Version 0.13 (Beta 3), 2001-08-21
---------------------------------

Global:

  - New startup assistant to create mail accounts, import mail and set 
    your timezone.  (Iain, Taylor)

  - Improved the appearance and behavior of the clickable title bar and
    the folder tree.  (Ettore)

  - "Stock" folders such as Inbox have their names translated now and
    cannot be removed.  (Ettore)

  - Moved the Summary (formerly known as "My Evolution") to be a
    normal node instead of being the toplevel node.  (Ettore)

  - Fixed some problems with copying, moving and removing folderes.
    (Jason)

  - Fixed the handling of documentation files in the Help menu.  It
    now integrates nicely with Nautilus and Scrollkeeper.  (Aaron,
    Kjartan)

  - Implemented the `File -> New' menu.  (Ettore)

  - Improved error messages on start-up.  (Ettore)

  - Fixed various crashes and minor bugs.  (Ettore, Jason)

  - Various UI tweaks and improvements.  (Anna, Tuomas, Jakub)

Mail:

  - Fixed creating IMAP folders.  (Jeff)

  - Add a shortcut to the INBOX of IMAP or spool stores when 
    their accounts are first created. (Peter)

  - Fixed Crash on Exit bugs.  (Jeff)

  - Many more i18n fixes.  (Zbigniew Chyla, Jeff and others)

  - Subscribe dialog UI tweaks. (Peter, Anna)

  - Displaying PGP signed messages now shows icons.  (Jeff)

  - Sensitize menu items based on number of selected messages. (Peter)

  - Always-sign options for PGP.  (Jeff)

  - Fixed keep-on-server for POP servers that don't support UIDL.
    (Jeff)

  - Several IMAP fixes. (Peter, Jeff, Danw)

  - Fix crash after conversion of an empty folder to another
    format. (Peter)

  - Ibex now limits its file descriptor usage. (Michael)

  - When deleting an account, remove the shortcuts that point to it. (Peter)

  - Several IMAP fixes. (Peter, Jeff, Danw)

  - Miscellaneous bugfixes all around. (Peter, Jeff, Danw, Michael, others)

Calendar & Tasks:

  - Calendar no longer crashes when you scroll a busy month view
    (Federico).

  - Performance improvements throughout (Damon).

  - Improved search bar; now handles categories.  (Jon, Federico)

  - The date navigator now reflects the results of the search bar.
    (Federico)

  - An empty task is no longer added when you have selected a
    category. (Federico)

  - Internationalization fixes (Zbigniew).

  - Timezone fixes (Damon).

  - Time transparency and component classification support (Damon).

  - Folder bar now displays the selected time range (Damon).

  - Improved settings dialog (Anna, Damon, Federico).

  - iTIP/iMIP fixes for attendees, cancellation. (JP).

  - Category icon drawing fixes. (Rodrigo)

  - Alarm fixes. (Federico)

  - Calendar components can be saved independently. (JP)

  - New icons. (Tuomas)

  - Contacts support. (Damon)

  - You can double-click on appointments to edit them. (Damon)

  - Share more code between the backends. (Rodrigo)

  - Miscellaneous fixes all over the place. (Damon, JP, Rodrigo, Federico)

Addressbook:

  - Various fixes.  (Anna Dirks, Dan Winship, Jason Leach, Jos Dehaes,
    Kjartan Maraas, Lahey, Nat Friedman, Radek Doulik, Toshok, Trow)

  - Made addressbook menus match the right click menus.  (Lahey)

  - Made addressbook use camel for building email addresses.  (Trow)

  - Fixed up phone number matching to not cause errors.  (Lahey)

  - Made the alphabet bar change the current search.  (Lahey)

  - Made duplicate contact matching less sensitive.  (Lahey)

  - Changed advanced search to match behavior in mailer.  (Toshok)

  - Redesigned LDAP server dialog.  (Anna Dirks)

  - Work on addressbook authentication.  (Toshok)

  - Changes to EDestination.  (Trow)

  - Magic comma work.  (Trow)

  - Redesigned ESelectNames dialog.  (Anna Dirks)

  - Made LDAP changes appear in gui immediately if they're made by the
    local client.  (Toshok)

  - Made ECard hold a link to its original EBook.  (Lahey, Trow)

  - Adapted for new ESearchBar. (Federico, Trow)

  - Added the ability to create cards from anywhere in evolution.
    (Lahey)

  - Made searches for completion not use invalid cached data.  (Trow)

  - Encode strings typed in by the user for use in sexps.  (Toshok)

  - Made EContactEditor make the save button active more often.
    (Toshok)

  - Made ESelectNames handle LDAP storages.  (Toshok)

  - Added full country list to addressbook full address editor.
    (Lahey)

  - Added the contact count to the folder bar.  (Lahey)

  - Updated icons.  (Damon, Ettore)

  - Worked on addressbook conduit.  (JP)

  - Made ESelectNames only show names on the left that aren't on the
    right.  (Trow)

  - Fixed up minicard dragging.  (Toshok)

My Evolution:

  - Miscellaneous fixes all over the place. (iain)

  - New icons. (Tuomas and Jakub)

  - Works for people whos text colour was a light colour. (iain)


Version 0.12 (Beta 2), 2001-07-31
---------------------------------

Shell:

  - Change the name of the local storage node from "local" to "Local
    Folders".  (Jason)

  - Fixed a problem with invalid URIs crashing the shell.  (Jason)

  - Hide internal folder types (like "vtrash") from user.  (Ettore)

  - Fixed some crashes that could happen when creating folders.
    (Ettore)

  - Fixed the URIs for the installed manuals in the help menu.
    (Ettore)

  - Added a status bar to show components' tasks instead of using
    pop-up progress dialogs.  (Ettore)

  - Other miscellaneous bug and leak fixes.  (Jason, Ettore)

  - Initialize GConf properly when GtkHTML is built with GConf
    support.  (Frederic Crozat)

  - Make the shortcut bar not change the current group when renaming
    it.  (Jason)

Mail:

  - Use new shell ActivityClient interface for progress reporting so
    the ongoing activities appear at the bottom of the window instead of
    using a pop-up.  (Michael)

  - "Remember this password" check box added.  (Peter, Jeff)

  - UI for timespan editor cleaned up.  (Peter)

  - UTF8 issues with PGP and mail display addressed.  (Jeff)

  - Translate some more strings.  (Jeff, Zbigniew Chyla)

  - Fix camel_session_*_timeout functions.  (Michael)

  - Fix application/pgp handling.  (Jeff)

  - Fix DnD with no messages selected.  (Jeff)

  - Respect the GTK+ theme when generating the header in the mail
    display.  (Jeff)

  - Make the default date column smaller.  (Peter)

  - Don't display "0 hidden" messages.  (Peter)

  - 'q' now toggles the message (pre)view.  (Peter)

  - Rename the "Date" column to "Sent".  (Peter)

  - Fix saving of passwords (some passwords were being saved and
    loaded under different URI's).  (Jeff)

  - Enter now always open the message in a new window.  (Peter)

  - Gray out unsupported authentication mechanisms.  (Jeff)

  - Fix saving/loading of several preferences.  (Peter, Jason)

  - Overwrite attachment files correctly.  (Jeff)

  - Don't lose the selection when deleting the last message.  (Jason)

  - Improve guessing of which address to use when replying.  (Jeff, Jason)

  - If SSL isn't supported, indicate so.  (Peter)

  - Improve handling of NoSelect IMAP folders.  (Peter)

  - Add a browse button for local mailboxes.  (Jason)

  - VTrash handling improvements.  (Jeff, Peter)

  - Display "unsent" in outbox summary.  (Peter)

  - Only have main view folder browsers save view settings.  (Peter)

  - Fixes to POP3 cache.  (Jeff)

  - Handle variants of charset names.  (Jeff)

  - Progress reporting and optimizations for IMAP.  (Dan)

  - Progress reporting for SMTP.  (Michel)

  - Handle unencoded eight-bit headers.  (Jeff)

  - Miscellaneous improvements to Camel backend.  (Michael, Jeff)

  - Several crashes fixed.  (everyone)

Addressbook:

  - Fixed some warnings.  (Chris T.)

  - I18n fixes.  (Zbigniew Chyla)

  - Address quoting in composer bug fixed.  (Jon)

  - Made it so that Other Contacts doesn't show up if you don't have
    LDAP compiled in.  (Jason)

  - Made it so that Other Contacts doesn't show up if you don't have
    any LDAP servers configured.  (Jos Dehaes)

  - General bug fixes.  (Chris T., Jon, Frederic Crozat, Jason,
    JP, Ettore, Chris L.)

  - Some LDAP cleanup.  (Chris T.)

  - Crash fixes.  (Jon, Dan)

  - Work on contact lists.  (Chris T., Jon)

  - Made Contact Editor Save & Close button not active if nothing is
    changed.  (Chris T.)

  - Added accelerators to a few dialogs.  (Taylor Hayward)

  - Made evolution-vcard-importer.c load the file into the correct directory.
    (Iain)

Calendar & Tasks:

  - Show icons for categories.  (Rodrigo)

  - Multiple selections for cut/copy/paste in task list.  (Rodrigo)

  - Added missing underlined shortcuts for dialogs.  (Taylor)

  - Many timezone-related fixes.  (Damon, Federico)

  - Alarm notification dialogs.  (Federico)

  - iTIP and iMIP ongoing work.  (JP)

  - Consistency & cosmetic fixes for dialogs and menus.  (Damon,
    Federico)

  - You can now create new calendar/tasks folders in the shell.
    (Ettore)

  - Printing fixes.  (Damon)

  - Added a search bar for tasks folders.  (Federico)

  - The task pad in the day view is now filtered as well.  (Federico)

  - Timezone support for conduits.  (JP)

  - General bug fixes.  (Federico, JP, Damon, Rodrigo)

My Evolution:

  - Removed the wipe trackers option.  (Iain)

  - Fix broken links in the Calendar.  (Iain)

  - Added some more German cities.   (Iain)

  - Fixed the New Feed button.  (Iain)

  - Fixed the KDE and Newsforge urls.  (Iain and Jason)


Version 0.11 (Beta 1), 2001-07-12
---------------------------------

Shell:

  - Drag and drop handling (Chris T.)

  - Online/Offline operation (Ettore)

  - Numerous code cleanups and bug fixes (Ettore & Jason)

Mail:

  - Added ability to specify a charset in the composer and for the 
    Preview Pane.  (Jeff, Danw)

  - Auto-save messages during composition and composer 
    crash-recovery.  (Larry)

  - Better signature file handling.  (Radek)

  - File->Insert menu.  (Larry)

  - Address-completion in the composer.  (Trow)

  - Much improved PGP/GPG.  (Jeff)

  - Cut/Copy/Paste and Drag & Drop.  (Jeff)

  - Disconnected IMAP, IMAP filtering, and other IMAP improvements. (Danw)

  - Empty Trash On Exit.  (Jeff)

  - More informative Folder message counts (new/hidden/total).  (Peter)

  - Implemented "Select Thread".  (Peter)

  - Movemail fixes and improvements.  (Michael)

  - Improved/Configurable Forward/Reply functionality.  (Jeff, Trow, Danw)

  - Improved Message browser window.  (Jeff, Peter)

  - Load HTML images Sometimes/Always/Never.  (Danw)

  - rfc2184 conformance.  (Jeff)

  - Online/Offline modes.  (Ettore, Danw, Jeff)

  - HTML indexing.  (Michael)

  - Spool providers.  (Michael)

  - Many i18n fixes. (Jeff, Trow, Larry, Michael)

  - Fixed saving of html signature preferences. (Peter)

  - Cleaned up exiting by having remote stores sync folders (Peter)

  - Attached binhex files do not cause infinite loops (Peter)

  - Don't send BCC headers when sending via SMTP (Peter)

  - Let you show and hide attached message/rfc822's (Peter)

  - Implemented Create/Remove/Move Folder. (Jason, Jeff)

  - Maildir fixes and improvments, support for subdirectories. (Michael)

  - Progress reporting using via shell activity interface. (Michael)

  - Many bug fixes all around.  (Michael, Jeff, Danw, Peter, Trow and others)

Addressbook:

  - Cut/Copy/Paste (Chris T.)

  - Improvements to address completion, matching and merging (Jon, Chris L.)

  - LDAP improvements (Chris T.)

  - Numerous bug fixing (Jon, Chris L., Chris T.)

Calendar & Tasks:

  - Timezone support (Damon)

  - Cut/Copy/Paste (Rodrigo)

  - Event/Task editor rewrite (Federico & JP)

  - Improved Printing (Damon)

  - Itip/Imip improvements (JP)

Importers: 

  - Fixes, bug fixes and more fixes. (Iain & Jason)

General:

  - New graphics/icons (Jakub & Tuomas)

  - UI Improvements (Anna & Taylor)

  - 'make distcheck' should hopefully be working again (Peter)

  - Have 'make install' work for non-root users in Camel, albeit
    with a large and important warning message (Peter)

My Evolution:

  - Completely new and prettier My Evolution (nee Executive Summary) 

  - Pretty graphics (Jakub)

  - Mail, Calendar and Task summaries to tell you what you need to do
    today.

  - Weather forecasts so you don't need to look out the window (I
    dunno, hackers seem to dislike looking out the window or
    something...)

  - News feeds so you don't need to go to websites to see what news
    articles you don't want to read.
	
  - Printing, you can print it out and make it look like you've got
    lots of stuff to do when really you're just trying to pass the 
    time by playing Aisleriot or GLine all day (Iain)


Version 0.10 "Tasmanian Devil", 2001-04-26
------------------------------------------

Shell:

  - Fixed some usability bugs in the folder selection and creation
    dialogs.  (Ettore)

  - Added a --debug option.  (Dan)

  - Added support for drag and drop operations.  (Ettore)

Mail: 

  - SSL (S/IMAP, S/POP, and S/SMTP).  (Jeff)

  - Virtual Trash folders in each mail storage and "Empty Trash" menu
    item to expunge all folders in a store.  (Jeff)

  - Email addresses in mail headers are now right-clickable to add
    them to the Addressbook (Jon, Radek)

  - Hide deleted messages is now a mode rather than a one-time
    operation. (Michael)

  - When sending plain text mail, use the new plain text mode of the
    GtkHTML editor (Larry)

  - Cancellable operations, cancellable/async dns lookup, slightly
    improved progress reporting.  (Michael)

  - Allow per-identity Draft and Sent folders.  (Dan)

  - Replies quoted with "> " in messages are now displayed dimmed to
    make it easier to find the new bits of text. (Radek)

  - Saved searches.  Searches now configurable via XML with supporting
    C code.  (Michael)

  - UNMATCHED vFolder (shows all messages that are in no other
    vFolder). (Michael)

  - SASL Authentication (Kerberos4, DIGEST-MD5, CRAM-MD5, PLAIN,
    LOGIN, ANONYMOUS) for IMAP and SMTP (haven't done POP yet)
    (Jeff, Dan)

  - Filter/vFolder on Mailing List.  (Michael)

  - Resend sent items.  (Jeff)

  - Allow users to turn on/off headers in the composer and added
    Reply-To header entry in the composer.  (Miguel, Jeff)

  - Numerous OpenPGP (PGP/MIME) fixes.  (Jeff)

  - Replying to a message chooses account based on message
    addressee's.  (Jeff)

  - Redid Forward Inline and Forward Quoted.  (Jeff)

  - IMAP fixes: greater configurability for faster startup/mail check
    (Dan), folders should now notice new messages when you switch to
    them (Dan), copying/moving many messages at once should be much
    faster (Jeff), better support for old IMAP servers (Dan)

  - IMAP message bodies are now cached to local disk to speed up
    re-access (Dan)

  - New config dialogs (last time!) (Anna, Dan)

  - Sorting by a text field in the message list no longer generates a
    random order. (Michael)

  - Fixed "crash when getting new mail from 2 POP servers" bug. (Dan)

  - Numerous bugfixes, cleanups and optimisations. (Everyone)

Addressbook:

  - Added support for non editable sources.  (Toshok)

  - Added address completion for use in contact entries using the
    select names system.  (Jon Trowbridge)

  - Fixed some major crashes in the addressbook backend.  (Clahey)

  - Updated Ximian's contact information.  (Jason Leach)

  - Finished LDAP support.  (Toshok)

Calendar:

  - Event creation fixes.  (Miguel)

  - Calendar loading fixes and removal of old code.  (Federico)

  - Made the iTIP control have better spacings.  (Anna)

  - i18n fixes.  (Kjartan)

Tasks:

  - Created a popup list item for ETable to select the Status,
    Classification, Priority, Percent & Transparencey fields.  (Damon)

  - Created a popup date editor item for ETable to set all the dates in the
    tasks.  (Damon)

Importers: 

  - Created Intelligent Importers that look for certain files on your disk
    and works out what type of data it is. Currently Intelligent Importers
    exist for Pine, Elm and Netscape. (Iain)

General:

  - Rewrote ETree in gal.  Changed evolution to support the changes in
    API.  (Clahey)

  - Lots of Etable/ETree bug fixes.  (Clahey)

  - Lots of i18n/l10n fixes.  (Kjartan Maraas, Gedeminas Paulauskas,
    and the Evolution gang)

  - Fixed the shell interface so it could correctly create folders. (Iain)


Version 0.9 "Platypus", 2001-03-12
----------------------------------

Shell:

  - Importing framework.  (Iain)

  - Made the splash screen a regular window.  (Miguel)

  - Added a menu item to hide the shortcut bar to the shortuct bar
    right-click menu.  (Jason)

  - Update the shortcut labels to contain the number of unread
    messages as well.  (Jason)

  - Pre-select a newly created folder in the folder selection dialog.
    (Ettore)

Mail:

  - GPG/PGP support is now mostly working and sort of configurable.
    Except that the pretty pictures are missing.  (Jeff)

  - Exciting new configuration druid (Anna, Jeff) and configuration
    editor-of-the-month (Jeff). You can now have multiple identities
    that use different transports.  (Jeff)

  - The folder-tree unread message counts now work much better. But
    vfolders only display their unread message counts *after you've
    looked at the folder for the first time*.  (Dan)

  - New mail send/receive stuff with status dialog.  (NotZed)

  - "Stop" button and support for cancelling operations.  (NotZed)

  - Various fixes involving IMAP folders and subscriptions.  (Dan)

  - Fake messages to root threads in the message list are now gone.  (NotZed)

  - NNTP support is no longer configured by default, as this code is
    not expected to be completed by 1.0.

  - Interface for hiding messages matching certain criteria.  (NotZed)

  - Quick search bar now includes "Sender contains" option (Tuomas? Eek!)

  - The mailer now properly launches "gnome_segv" when it crashes. I
    mean, if it were to crash.  (Dan)

  - IMAP attachments are now not loaded unless you look at them.  (Dan)

  - The X-Mailer header can now include a compile-time-specified
    string (for specifying package version, etc).  (Dan)

  - The Date header in the message list now formats dates differently
    depending on how long ago they are.  (Chris)

  - The composer doesn't ask if you want to save before closing if you
    haven't changed anything. Also, it has more useful window titles
    (Jason Leach) And you can now turn off the "are you sure you
    didn't mean to enter a subject?" dialog box.  (Jeff)

  - The "Menu" key on a Windows keyboard (the one with the picture of
    a pop-up menu) now pops up the message list right-click menu.
    (Dan)

  - Lots of internal stuff that doesn't much affect the user-visible
    functionality, particularly involving multithreading, message
    threading, filters/searching, and regression testing.  (NotZed)

  - Importers for Outlook Express 4 and mbox (used by most mailers like
    Netscape, Pine, Elm, Eudora) (Iain & Jeff)

Addressbook:

  - Fixed crashing bug on PPC.  (Clahey)

  - Updated to work with both OpenLDAP 1 and OpenLDAP 2.  (Toshok)

  - Added configuration dialog for LDAP.  (Toshok)

  - Plenty of bug fixes.  (Clahey, Toshok, Meeks, JP, Larry, Jason,
    Federico, Dan, Zucchi, Gediminas Paulauskas, Ettore)

  - Moved category dialog to gal.  (JP)

  - Worked on LDAP authentication.  (Toshok)

  - Worked on status messages.  (Toshok)

  - Worked on GalView stuff.  (Clahey)

  - Improved the select names dialog GUI.  (Clahey)

Calendar:

  - New "go to date" dialog.  (JP)

  - Categories support for appointments.  (JP)

  - New alarms page in event editor.  (Anna, JP)

  - Weekday picker now follows the week start setting.  (Federico)

  - Date-editing widgets are more consistent with each other.
    (Federico)

  - Colorization fixes to the views.  (Damon)

  - Optimizations to the views.  (Damon)

  - New, simpler loading interface for calendars in the Wombat.  (Federico)

  - Removal of lots of old Gnomecal code.  (Federico, JP)

  - Alarm instance generation support for the Wombat.  (Federico)

  - Alarm trigger queueing for the GUI.  (Federico)

  - More robust launching and registration of the components.  (Federico)

  - More i18n friendliness.  (JP, Federico)

  - Start of the alarm notification daemon.  (Federico)

  - Cosmetic and focus fixes all over the place.  (Federico, JP)

Tasks:

  - New, stand-alone tasks component.  (Damon)

  - Categories support.  (JP, Damon)

  - Your old tasks are migrated automatically to the new tasks folder.
    (Federico)

  - You get asked for confirmation when trying to delete a task entry.
    (Federico)

Conduits:

  - Many bug fixes and cleanups.  (JP)

Executive Summary:

  - Bugfixes and memory leaks removed.  (Iain)

  - Calendar summary component.  (Iain)

  - RDF Summary saves it's state.  (Iain)

  - Mail summary shows vFolder summaries as well.  (Iain)

  - User changable number of columns. (Iain)


Version 0.8 "Archaeopteryx", 2000-12-14
---------------------------------------

Shell:

  - Added a `--no-splash' option.  (Ettore)

  - Plugged a number of memory leaks.  (Federico)

  - Added interfaces to display an arbitrary string associated with a
    folder, and highlight it on demand.  (Ettore, Dan)

  - Changed the Storage IDLs so that you can associate a physical URI
    to the toplevel node as well.  (Ettore)

  - If a shell is already running, `evolution' will just make it
    create a new view instead of creating a new shell.  (Ettore)

Mail:

  Display:

  - The folder tree now shows unread message counts for mail
    folders. For local folders, this updates in real time.  For IMAP, it
    only updates when you "Get Mail".  To be continued.  (Dan)

  - New "important" column in the message list.  User-settable.  (Dan)

  - The message list "Size" column now displays more prettily and
    sorts correctly.  (Jeff)

  - New command to view the raw source to a message.  (Jeff)

  - More reliable MIME icon code in the mailer and the composer.
    (Dan, Iain)

  - Lots of internationalization fixes.  (Dan, Kjartan)

  Composer / Outgoing mail

  - Various fixes to use the best charset and MIME encoding for
    outgoing messages.  (Michael, Jeff)

  - You can now forward messages inline, instead of attaching them.
    Forwarding multiple messages now results in a multipart/digest
    attachment.  (Jeff)

  - Replies are now preceded by "On DATE, PERSON wrote:" (Jeff)

  - Better reply editing, automagically sets indentation and paragraph
    style to Normal. (Radek)

  - HTML signature support.  (Radek)

  - Inline image support.  (Radek)

  - Fixes for addresses with commas.  (Jeff, Michael)

  - Fix to not allow attaching directories, devices, etc.
    (Jeff)

  - Fixed the sign of the GMT offset in generated Date headers. 
    (Michael)

  - Fixed a bug in base64 encoding.  (Michael)

  - Fixed a problem in connecting to non-ESMTP SMTP servers.  (Jeff)

  Miscellaneous Commands / Features:

  - The mailer will now remember your passwords, if you configure
    that option for a service.  (Dan)

  - New "Apply Filters" command to apply filter rules to selected
    messages.  (Jeff)

  - No more "No new mail" dialog.  (Jeff)

  - Individual messages can now be saved to disk.  (Jeff)

  - Synced the Message menu with the right-click menu.  (Jeff)

  - Mailer now uses the same search bar as the addressbook.  (Anna,
    Chris, Jeff)

  Filters:

  - Now supports filtering on system flags (ie Answered, Seen,
    Unseen).  (Jeff)

  - Regular expression searches are now moved to their own Option
    menu.  (Jeff)

  - Allows regex searching on the entire message header.  (Jeff)

  - Now has soundex filters (x sounds like y).  (Jeff)

  IMAP:

  - "Get Mail" now scans all folders.  (Dan)

  - IMAP password dialog no longer pops up at startup: click on the
    server in the folder tree to connect.  (Dan)

  - Folder subscription support.  (Chris Toshok, Dan)

  - Various IMAP folder naming fixes. (May fix Cyrus support) (Dan)

  - Seen/deleted flags are preserved across "Get Mail".  (Jeff)

  - Fixed a bug that could cause messages to be marked as seen
    even when the UI thought they weren't.  (Dan)

  - Fixes for IMAP folders with spaces in their names (again).
    (Jeff)

  - IMAP Kerberos 4 authentication support.  (Dan)

  POP3:

  - Fixed a bunch of error cases in POP3 connection.  (Dan)

  - Fixed POP3 to more reliably delete messages when it was supposed
    to be doing so.  (Dan)

  Local mail:

  - Major local mail rewrite that fixed memory leaks, reduced
    memory consumption, improved efficiency, etc.  (Michael)

  - Maildir support.  (Michael)

  - Local mail folders are now locked (via dot locking and/or
    fcntl/flock) while Evolution is modifying them, and it will
    notice if they've changed while it's not looking. (Michael)

Calendar:

  - To-do and calendar conduits working except for extended
    character support (ie accented chars) (JP)

  - Updated wombat implementation of change reporting (JP)

  - Majorly kick-ass new recurrence page in the event editor with an
    easy UI, a preview of what will happen, and lots of love. (Anna)

  - Imported a new libical with the APIs we require for alarms, the
    start of the timezone code.  This may be the last Evolution
    release that uses a CVS-imported libical; in the future we should
    depend on official tarballs. (Federico)

  - Event editor now deals gracefully with iCalendar recurrences we
    cannot edit. (Federico)

  - Plenty of fixes to the ETable calendar model for the task list
    (Damon).

  - The task list now saves its state, selected columns and sort order
    (Damon).

  - Lots of love to the iTIP engine and user interface.  Scheduling
    appointments via email should be working fine, and they should
    also work when you receive them. (Jesse)

  - Lots of work on the calendar preferences code. (Damon)

  - Many functional and cosmetic fixes to the day and week
    views. (Damon)

  - Event and task editors now ask if you try to close them without
    saving changes. (Damon)

  - You are now prompted if you are sure that you want to delete an
    appointment. (Federico)

  - Plenty of memory leaks fixed. (JP, Federico)

  - Prettified the event editor a bit by making widget spacings
    consistent. (Federico)

  - Fixed semantics for handling exception dates (Federico)

  - Some fixes to the recurrence instance generation engine. (Damon)

  - Fixed insertion of new objects via notification into the task
    list.  (JP, Federico)

  - Misc. polishing for the event editor's innards. (Damon, Federico)

  - Misc. cruft removal from old Gnomecal code (Federico, Miguel)

  - Prettier icons for the task list. (Federico)

Addressbook:

  - Addressbook conduit now working, experimentally, except for
    extended character support (ie accented chars.) (JP)

  - Extended wombat functionality with getChanges call. (JP)

  - Full name and address dialogs in contact editor fixed. (Chris)

Executive Summary: (iain)

  - Now compiled by default.

  - Prettier default dialogs.

  - Customisable background.

  - RDF Summary, and Mail Summary components.

  - Fixes and optimisations.

  - Can restore state.

Version 0.7, "Loch Ness Monster", ????
--------------------------------------

There have been no verified sightings of this release.


Version 0.6, "Procompsognathus", 2000-10-19
-------------------------------------------

General:

  - Split out lots of functionality to gal.  Evolution now depends on
    gal. (Chris Lahey, Gal Team)

Shell:

  - Added a cute splash screen.  (Ettore, TigerT)

  - Improved the way `~/evolution' is initialized the first time.
    (Iain)

  - Fixed the problem with the folder bar disappearing too son when
    clicking on the scrollbar.  (Ettore)

  - Updated to use the new toolbar and UI merging code from Bonobo.
    (Michael Meeks, Ettore)

Mail:

  - Numerous i18n encoding, decoding, and display fixes. Non-ASCII
    text should be displayed correctly in most context in the mailer
    now. The composer no longer sends undeclared 8bit data. (Jeff)

  - The IMAP provider now caches summary info between sessions, so
    startup should be much faster for large folders. (Dan)

  - Subscribe/unsubscribe UI for newsgroups. (IMAP subscriptions will
    be supported in a later release.) NNTP authentication support.
    Various other NNTP fixes. (Chris Toshok)

  - New "full search" button to do more complicated searches. (NotZed)

  - Composer attachment bar improvements. You can now drag files to
    the composer window to attach them to the message. (Iain)

  - Message list state (columns selected, sorting, etc) is now saved
    between sessions. (NotZed)

  - "Get Mail" now works for IMAP. IMAP mail no longer arrives
    asynchronously (although if you delete mail from another client,
    it will be deleted asynchronously). (Dan)

  - Image attachments now use thumbnail images rather than a generic
    image icon. (Iain)

  - Various IMAP provider bugs (Dan, Jeff)

  - Filter code cleanup/improvements. (NotZed) Filtering can read and
    write message scores. (Jeff) On-demand filters no longer expunge
    the source folder, and don't filter deleted messages. (Jeff)
    Filters now log their actions. (Jeff)

  - Drafts, Outbox, and Sent folders now default to showing "To"
    instead of "From" in the header list. Messages output to the Sent
    folder are marked as "Seen". "Send later" on a reply will mark the
    message as having been replied to. (Jeff)

  - Message list "attachment" column is now functional. The
    read/unread state of a fake thread header now matches the state of
    the thread. (NotZed) Message list sorting is more clever (Jeff)

  - The "Print" toolbar button now opens a Print dialog rather than a
    Print Preview window. (Miguel)

  - New "Select All" command. "Mark all messages as seen" became "Mark
    (selected) messages seen". (Jeff)

Calendar:

  - Improved todo list and calendar view gui (Damon)

  - Printing works again (Federico)

  - Config dialog improvement and implementation (Damon)

  - Todo and calendar conduits working, except for archiving (JP)

Addressbook:

  - Lots of internal refactoring of addressbook, including changes due
    to gal. (Chris, Chris)

  - Lots of bug fixes. (Chris, Chris, Matt Bissiri, Iain, Dan)

  - Added a working field to save whether the contact wants
    HTML. (Chris Lahey)

  - Added "Stop" and "View All" toolbar buttons. (Chris Lahey)

  - Lots of work on modifiable LDAP. (Chris Toshok)

  - Recognizes a lot more Prefixes and Suffixes when parsing names. (Nat)

  - The card view doesn't write out cards unless they've changed. (Chris Lahey)

  - New layout of address editor dialog. (Anna, Chris Lahey)

Version 0.5.1, "Salamended", 2000-09-15
---------------------------------------

General:

  - Fixed a font-handling problem that would cause Evolution to crash
    at startup with certain Gtk themes. (Chris)

  - Fixed some build problems. (Chris)

  - We no longer ship an out-of-date Red Hat-only RPM spec file.

Shell:

  - The shell now installs the `Sent' folder at startup if it doesn't
    exist yet.  (Ettore)

  - If a component crashes unexpectedly, the shell displays a dialog
    box informing the user of that.  (Ettore)

  - Fixed a bug in the folder selector dialog that would result in
    crashes while trying to move messages in the mailer. (Dan)

Addressbook:

  - Fixed a bug that would cause the addressbook to crash when
    embedded in the composer. (Dan)

Mail:

  - Fixed a display problem caused by expunging an IMAP folder. (Dan)

  - Fixed POP mail so that "keep on server" is obeyed correctly. (Dan,
    Jeff)

  - Fixed replies so that replying to a message twice doesn't turn off
    the "replied" flag. (Dan)

  - Fixed a bug that prevented "Send later" from working. (Dan)


Version 0.5, "Salamander", 2000-09-13
-------------------------------------

Shell:

  - Switched to using ETree for the folder view.  (Chris Toshok,
    Ettore)

  - Added interfaces to change the string displayed in the tree view
    as the name of the folder.  (Ettore)

Calendar:

  - Uses only the new iCalendar standard internally; this means future
    interoperability with new calendaring programs.  (JP, Federico)

  - New ultra-cool date range selector, aka little calendar.  (Damon)

  - Plenty of internal refactoring.  (JP, Damon, Federico)

  - Pilot synch work, mostly on pcs infrastructure and some todo work (JP)
    <EXPERIMENTAL>

  - Pilot synch work, mostly on pcs infrastructure and some todo work (JP)
    <EXPERIMENTAL>

Addressbook:

  - New advanced search dialog.  (Michael Zucchi, Chris Lahey)

  - Added parsing of addresses.  (Jesse Pavel)

  - Converted most of addressbook to UTF8.  (Lauris)

Mailer:

  - Filters (but not vfolders) are now more powerful: they can check
    any message header, and can do regexp searches on the headers and
    body.  (Jeff)

  - A first draft of an automated mailing list recognizer
    has been added.  (It will need more/better rules.)  (Ettore)

  - Attachments are handled differently now.  All attachments always
    have an icon and a header, and you can right-click on the icon to
    view/hide, save, or launch an external viewer.  (Dan)

  - It is no longer necessary to quit and restart after adding a new
    IMAP server.  (Peter)

  - Lots of i18n/charset fixing.  (Lauris)

  - Shiny new toolbar icons.  (Tuomas)

  - Giant menu reorganization. Most message operations are now in the
    "Message" menu, and folder operations in the "Folder" menu.
    (Ettore, Dan, Peter)

  - "Mark as seen" timeout is now configurable. Mail view remembers
    the location of the message list/message display split.  (Richard
    Hult)

  - New filter category: "On-demand", for filters to be applied
    at arbitrary times rather than during mail incorporation.  (Peter)

  - POP/IMAP config pages allow you to specify a port... this may
    go away in a later release when we support ssl/ssh tunneling
    directly.  (Peter)

  - Reply To All will now remove your own addresses from the recipient
    lists.  (Jesse Pavel)

  - Folders are synced when you switch to another folder now.  (Dan)

  - An IMAP bug that caused all messages to be marked as read before
    they were read has been fixed.  (Dan)

  - The IMAP provider is now more robust about dealing with other
    concurrent IMAP clients.  (Jeff)

  - POP and IMAP are better about when they do and don't try to
    reconnect.  This was part of Camel operation cancellation support,
    which unfortunately didn't make it into 0.5.  (Peter)

  - Sent and Outbox folders are now functional.  You now have 2
    options when sending a message - "Send Now" which will send the
    message imediately and "Send Later" which will queue the message in
    Outbox for later sending.  When a message is successfully sent, it
    is copied to the Sent folder for your records.  (Jeff)

ETable:

  - ETree fixes.  (Chris Toshok)

  - Lots of small usability fixes.  (Chris Lahey)

  - Lots of grouping bug fixes.  Specifically, fixed crashes when
    grouping in trees and made ETable not go crazy when you change
    data and the table is grouped.  (Chris Lahey)

  - Improved table printing when grouped.  (Chris Lahey)

  - Converted most of ETable to UTF8.  (Lauris)


Version 0.4, "Alewife", 2000-08-14
----------------------------------

Shell:

  - Added interfaces to display messages and a progress bar when the
    component is busy.  (Ettore)

  - Changed the shell BonoboUIHandler code to allow placing menu items
    such as "Print" in the right places.  (Ettore)

  - Added code to check if an existing `~/evolution' directory
    actually has the content we expect and, if not, complain to the
    user.  (Dan)

  - Fixed some Bonobo-related refcounting problems.  (Michael Meeks)

  - Removed the GConf dependency.  (JP)

  - Improved the API for the folder selection dialog.  (Ettore)

  - Memory leak fixes.  (Peter)

Calendar:

  The calendar is in the middle of major rewrite. Evolution 0.4
  ships with essentially the same calendar component as 0.3 did.

Addressbook:

  - More work on the Palm Pilot conduits.  (Chris Toshok)

  - Fixed some LDAP-related crashes.  (Chris Toshok)

  - Added support for displaying embedded vCards through a Bonobo
    component.  (Chris Lahey)

  - Added support for generic fields.  (Chris Lahey)

  - Fixed the navigation order for the Tab key in the contact editor
    window.  (Chris Lahey)

  - Fixed some Bonobo-related bugs and crashes.  (Chris Lahey, Michael
    Meeks)

  - Only display entries that have an email address in the address
    selector dialog.  (Chris Lahey)

  - Added an utility program to import vCards from Gnomecard.  (Chris
    Lahey)

Mailer:

 Generic

  - Long mailer operations (such as fetching new mail) now run
    asynchronously rather than blocking the UI. This involved
    a major rewrite of much of the Camel and mailer code.  (Peter)

  - GPG/PGP message decryption support (Nathan Thompson-Amato, Dan)

  - Unfinished messages in the composer can be saved to the "Drafts"
    folder and finished later.  (Jeff)

  - Double-clicking on a message in the message view now opens it in a
    separate window.  (Jeff)

  - vCards attached to messages now bring up a minicard view with a
    button to add the vCard to the addressbook (Chris Lahey, Dan)

  - Inline uuencoded/binhexed "attachment" support (Dan)

  - "Mark All Messages Seen" command.  (Cody Russell)

 Filters / VFolders

  - Major filter/vfolder dialog rewrite (Michael Zucchi) VFolders can
    now search any (searchable) folder, not just Inbox.

  - Auto-filter/auto-vfolder code (right click on a message in the
    list and pick one of the options at the bottom of the menu to
    create a filter/vfolder rule for similar messages).  (Michael)

  - You can now set the color of messages in the message list, based
    on filter rules.  (Local stores can also now store arbitrary user
    flags, although there is not yet UI code to set/view them.)
    (Michael)

  - Added "Save" button to the quicksearch bar to save a search as a
    vfolder.  (Michael)

 Configuration

  - Major mail config dialog rewrite (JP).

  - The mailer now remembers your threaded/unthreaded message view
    setting between sessions.  (Jeremy Wise).

  - Support for multiple identities (JP, Jeff), sources (JP, Peter), and
    IMAP servers (JP, Dan)

 Providers

  - You can now leave POP mail on the server. (This will [currently]
    only work right with POP servers that support the UIDL command.
    On other servers, it will never download some messages unless you
    never delete mail.)

  - There is now an MH-like local store available, and code to convert
    a folder from one type to the other.  (Michael)

  - The mbox provider now writes out "From " lines that are more
    compatible with other mailers (like Mutt) that are picky about
    their exact format.  (Michael)

  - The IMAP provider now supports searching (Jeff). Also various
    other speed/efficiency/robustness improvements (Jeff), and support
    for old IMAP4 servers as well as IMAP4rev1 (Jon K Hellan).


Version 0.3, "Jellyfish", 2000-07-21
------------------------------------

Shell:

  - Pop-up folder selection.  (Ettore)

  - Added support for multiple views.  (Ettore)

  - Added support for saving component-specific settings, and
    some initial code to save the view's configuration.
    (Ettore)

  - Fixed the Bonobo menu code so that it works with all the
    locales.  (Ettore)

Mailer:

   - Lots of IMAP fixes.  (Jeff) 

   - You can use an external setuid/setgid movemail program
    (although we don't ship our own yet). If you have one
    installed with emacs, the configure script will find
    that. Otherwise, you can specify --with-movemail=/path.
    (Dan)

  - You can toggle HTML/plain text for an individual message
    in the composer now.  (Ettore)

  - Bonobo embedding sort of works again, but there are
    problems with size allocation somewhere. Attachments can now
    also be handled by external applications.  (Dan)

  - text/plain mail is now line-wrapped in the mail display,
    to deal with people who don't put newlines in their mail.
    (Dan)

  - Allow user to specify IMAP namespace in the mail config
    dialog.  (Dan, Jeff)

  - Quoted-printable encoder fixes.  (Michael Zucchi)

  - Various NNTP fixes, include a news pane in the config
    dialog.  (Chris Toshok)

  - Some memory corruption fixes.  (Peter Williams)

  - Fix for message not being re-drawn as deleted.  (Peter
    Williams, Jeff)

  - Moving a message to another folder copies the flags now
    (Jeff)

  - Close signature in HTML mail with </PRE>, not <PRE>, and
    default to ~/.signature.  (Michael Meeks)

  - Fixed some confusing behavior in the message threading
    algorithm.  (Dan)

  - Improvements to the item selection code.  (Chris Lahey)

Calendar:

  - Added support for a bunch of previously unsupported iCalendar
    properties.  (Federico)

  - Conduit for synchronizing the calendar with gnome-pilot
    (requires gnome-pilot from CVS).  (Seth)

  - ETable-based to-do list view ("taskpad"), for your viewing
    pleasure.

Addressbook:

  - Conduit for synchronizing the addressbook with gnome-pilot
    (requires gnome-pilot from CVS).  (Chris Toshok)

  - Conduit for synchronizing the addressbook with gnome-pilot
    (requires gnome-pilot from CVS).  (Chris Toshok)

  - Fixed some random crashes.  (Chris Lahey)

  - Implemented a vCard Bonobo control so that we can support
    inline vCard viewing in the mailer.  (Chris Lahey)

  - Quick search looks at both the name and the company name now.
    (Chris Lahey)

  - Added more functionality to the contact editor's toolbar.  (Chris
    Lahey)

  - Support for printing single cards.  (Chris Lahey)

Version 0.2, "Saccharomyces", 2000-07-11
----------------------------------------

Shell:

  * Folder selection dialog (Ettore).

  * Folder creation dialog (Ettore).

Addressbook:

  * LDAP server configuration dialog (Chris Toshok).
  
  * Integration of LDAP servers in the shell's tree view (Chris Toshok).
  
  * ETable-based view (Chris Lahey).
  
  * Printing support for the ETable-based view (Chris Lahey).
  
  * Address selection dialog integrated with the message composer (Chris
    Lahey).
  
  * Many miscellaneous bugs fixed (everyone).

Calendar:

  * Printing support (Michael, Federico).
  
  * Many, many behavior fixes and polishing to the day/week/month view
    widgets (Damon).
  
  * New glade-based event editor.  This is unfinished but usable (Seth,
    Federico).
  
  * Mouse wheel scrolling support (Anders).
  
  * We have an awesome new engine for computing recurring events
    (Damon).  This will be plugged in to the new iCalendar code.
  
  * Internal and public API fixes (Federico, Seth).
  
  * Shell-related changes (Ettore).
  
  * Data model for ETable; this is not used yet (Federico).
  
  * New iCalendar support; this is not used yet (Federico).
  
  * Pilot syncing updates; this is not used yet (Seth).
  
  * Many miscellaneous bugs fixed (everyone).


Mailer:

  Major features:

  * Basic IMAP support (Jeff)

  * Threaded message view (Michael, Chris Toshok)

  * Filters now work (original work by Michael, bugfixes by Dan)


  Smaller features:

  * Implemented moving messages between folders (Dan)

  * Very basic printing support (Dan, but it was only like 5 lines
    of code, because gnome-print kicks ass)

  * "Delete", "Forward", and "Refile" operations now work on
    multiple messages. (Chris Lahey, Peter Williams, Dan)

  * Toggle read/unread flag when the user clicks on the envelope
    icon (Chris Lahey, Dan).

  * The "New folder" menu item now works (Ettore, Dan).

  * The filter/vfolder druid now uses the new shell folder selection
    UI (Michael)

  * Added "Cc" to the set of filter/vfolderable headers and make the
    filter/vfolder "messages to address" rule work with to or cc.
    (Dan)

  * New key bindings: "Delete" deletes the current message and jumps
    to the next undeleted message. "N" and "P" go to next/previous
    unread message. (Dan)

  * Keep asking for POP/IMAP password until the user gets it correct
    or hits Cancel, and remember the result until the user exits (or
    chooses "Forget Passwords"). (Dan, Jeff)

  * Kludge Camel to output ISO-8859-1 instead of UTF-8, since
    neither GtkHTML nor ETable supports UTF-8 still. (Dan)

  * Use the gnome-vfs "sniff buffer" interface to try to identify
    the MIME type of attachments without useful type information
    (Dan)

  * Allow saving drafts in the composer (Ettore)

  * Added "Received date" header to the set of possible message list
    headers. (Dan)

  * Partial gladification of the config dialog (JP Rosevear)


  Bug fixes:

  * Message read/unread/deleted flags should now be saved reliably
    when you exit, and summary should not be rebuilt when a rebuild
    isn't needed. Expunging should work reliably (Dan, Ettore,
    Jeff).

  * Fix disappearing toolbar bug (Dan).

  * Fixed a bug that made downloading of very large messages over
    POP incredibly slow, and various other smaller POP bugs. (Dan)

  * Fixed bugs that made large attachments sometimes get dropped and
    small ones sometimes get truncated. (Dan)

  * Fixed filter/vfolder "messages to address" rule to correctly
    match "to" rather than "from". (Michael)

  * Fix some text/plain formatting bugs in the composer. (Dan,
    Ettore)

  * Turn off search mode when getting new mail (to avoid corrupting
    the display). Make "get mail" always put unfiltered mail into
    Inbox rather than the current folder. (Dan)

  * Fixed a bug that caused "Re:" to be prepended even to subjects
    that started with "Re:" when replying. Added a default subject
    to forwarded messages. (Dan)

  * Make the "Attach" dialog in the composer remember the last
    directory it was in. (Dan)

  * Code to parse invalid date formats since some mailers generate
    them... (Jeff)

  * Fixed various small SMTP bugs (Jeff, Chris Lahey)

  * Fixed some memory leaks (Peter, Jeff)

  * Make replies use the text/plain part of a multipart/alternative
    if the user configured plain text rather than HTML mail sending.
    (Dan)

  * Various config dialog fixes (Jeff)

  * Partial filter/vfolder GUI facelift (Jacob)
